<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: email.php
| Author: Netrix (phpfusionsecurity.com)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";

opentable ("Email Account Creation");
###############################################################
# cPanel Email Account Creator 1.3
###############################################################
# Visit http://www.phpfusionsecurity.com for updates
############################################################### 
# You can pass following parameters in calling URL. They will
# override those specified below.
# user - new email user
# pass - password
# domain - email domain
# quota - email quota, Mb
# Example: email.php?user=newuser&pass=password&quota=50
# Support @ phpfusionsecurity.com or phpfusion-mods.net
############################################################### 

$antispam = false; 

// cPanel info
$cpuser = 'username'; // cPanel username
$cppass = 'password'; // cPanel password
$cpdomain = 'website.com'; // cPanel domain or IP (Example: glitcher.net)
$cpskin = '';  // cPanel skin. Mostly x, x2, or x3

// Default email info for new email accounts
// These will only be used if not passed via URL
$epass = ''; // email password
$edomain = ''; // email domain (usually same as cPanel domain above)
$equota = 20; // amount of space in megabytes

############################################################### 
# END OF SETTINGS
############################################################### 

function getVar($name, $def = '') {
  if (isset($_REQUEST[$name]))
    return $_REQUEST[$name];
  else 
    return $def;
}

// check if overrides passed
$euser = getVar('user', '');
$epass = getVar('pass', $epass);
$edomain = getVar('domain', $edomain);
$equota = getVar('quota', $equota);

$msg = '';

if (!empty($euser))
while(true) {

  if ($antispam) {
    @session_start(); // start session if not started yet
    if ($_SESSION['AntiSpamImage'] != $_REQUEST['anti_spam_code']) {
      // set antispam string to something random, in order to avoid reusing it once again
      $_SESSION['AntiSpamImage'] = rand(1,9999999);
  
      // let user know incorrect code entered
      $msg = 'Incorrect antispam code entered.';
      break;
    }
    else {
      // set antispam string to something random, in order to avoid reusing it once again
      $_SESSION['AntiSpamImage'] = rand(1,9999999);
    }
  }

  // Create email account
  $f = fopen ("http://$cpuser:$cppass@$cpdomain:2082/frontend/$cpskin/mail/doaddpop.html?email=$euser&domain=$edomain&password=$epass&quota=$equota", "r");
  if (!$f) {
    $msg = 'Sorry, there was an error.';
    break;
  }

  $msg = "Email account {$euser}@{$edomain} created.<br><br>Click <a href='logemail.php'>here</a> to login.";

  // Check result
  while (!feof ($f)) {
    $line = fgets ($f, 1024);
    if (ereg ("already exists", $line, $out)) {
      $msg = "Email account {$euser}@{$edomain} already exists.";
      break;
    }
  }
  @fclose($f);

  break;

}

?>
<html>
<body>
<?php echo ''.$msg.'<br><br>'; ?>
Email Account Creator
<form name="frmEmail" method="post">
<table width="400" border="0">
<tr><td>Username:</td><td><input name="user" size="20" value="<?php echo htmlentities($euser); ?>" /></td></tr>
<tr><td>Password:</td><td><input name="pass" size="20" type="password" /></td></tr>
<?php if ($antispam) { ?>
<tr><td><img src="antispam.php" alt="CAPTCHA" /></td><td><input name="anti_spam_code" size="20" /></td></tr>
<?php } ?>
<tr><td colspan="2" align="center"><hr /><input name="submit" type="submit" value="Create Email Account" /></td></tr>
<tr><td colspan="2" align="center"><hr />Already have an email account, <a href='logemail.php'>click here.</a></td></tr>
</table>
</form>
</body>
</html>
<?php
closetable();

require_once THEMES."templates/footer.php";
?>